package com.oguerreiro.resilient.domain;

import java.math.BigDecimal;

public class InventoryData {
  private Variable variable;
  private String variableClassCode;
  private String variableClassName;
  private Unit unit;
  private BigDecimal value;
  private String stringValue;

  public InventoryData(Variable variable, String variableClassCode, String variableClassName, Unit unit,
      String stringValue, BigDecimal value) {
    super();
    this.variable = variable;
    this.variableClassCode = variableClassCode;
    this.variableClassName = variableClassName;
    this.unit = unit;
    this.value = value;
    this.stringValue = stringValue;
  }

  public Variable getVariable() {
    return variable;
  }

  public void setVariable(Variable variable) {
    this.variable = variable;
  }

  public String getVariableClassCode() {
    return variableClassCode;
  }

  public void setVariableClassCode(String variableClassCode) {
    this.variableClassCode = variableClassCode;
  }

  public String getVariableClassName() {
    return variableClassName;
  }

  public void setVariableClassName(String variableClassName) {
    this.variableClassName = variableClassName;
  }

  public Unit getUnit() {
    return unit;
  }

  public void setUnit(Unit unit) {
    this.unit = unit;
  }

  public BigDecimal getValue() {
    return value;
  }

  public void setValue(BigDecimal value) {
    this.value = value;
  }

  public String getStringValue() {
    return stringValue;
  }

  public void setStringValue(String stringValue) {
    this.stringValue = stringValue;
  }

  //@formatter:off
  @Override
  public String toString() {
    return "InventoryData{" + 
            ", value=" + getValue() + 
          "}";
  }
  //@formatter:on
}
